Skip to main content
GET
/
connectors
/
consumers
/
{consumer_id}
/
banks
/
{provider_id}
Gets bank connection details.
curl --request GET \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/banks/{provider_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/banks/{provider_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/banks/{provider_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "bank_id": "03a7ab14-397d-4df5-a472-ab9b45de175e",
  "provider": "<string>",
  "accounts": [
    {
      "bic": "<string>",
      "iban": "<string>",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "is_eligible": false,
      "is_master": false,
      "last_transaction_executed_at": "<string>",
      "name": "<string>"
    }
  ],
  "created_at": "2019-01-31T15:16:15.523309+00:00",
  "error": "<string>",
  "error_message": "<string>",
  "id": "e2c32b4b-de61-459b-accf-a75f76247946",
  "is_master": false,
  "last_successful_sync": "2023-11-07T05:31:56Z",
  "last_sync": "2023-11-07T05:31:56Z",
  "most_recent_transaction": "<string>",
  "name": "<string>",
  "next_try": "2023-11-07T05:31:56Z",
  "status": "SUCCESS",
  "updated_at": "2020-01-23T12:00:00+00:00"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

provider_id
string<uuid>
required

Slug representation of bank.

Response

OK

bank_id
string<uuid>
required
read-only

Bank unique UUID

Example:

"03a7ab14-397d-4df5-a472-ab9b45de175e"

provider
string
required
deprecated

ID of the provider

accounts
object[]
read-only

List of consumer accounts

created_at
string<date-time>
read-only

Object creation datetime

Example:

"2019-01-31T15:16:15.523309+00:00"

error
string | null
read-only

String representation of error status

error_message
string | null
read-only

The description of the error, if available.

id
string<uuid>
read-only

Unique ID of the object.

Example:

"e2c32b4b-de61-459b-accf-a75f76247946"

is_master
boolean
read-only

Boolean: If true, we transfer the cashback money to this account. Only one account can be master.

Example:

false

last_successful_sync
string<date-time> | null
read-only

Last successful update

last_sync
string<date-time> | null
read-only

Last attempt of sync

most_recent_transaction
string
deprecated
read-only

Date of the last transaction done on this connection

name
string
read-only

Name of the object

next_try
string<date-time> | null
read-only

Date of next synchronization.

status
enum<string> | null
read-only

Bank connection statuses

  • UNKNOWN: The status is unknown, most of the time because the consumer hasn't synced his/her account yet.
  • DISABLED: Synchronization has been disabled for this connection.
  • ERROR: Synchronization error (bad credentials and/or consumer has an action to make on his/her bank website side).
  • CHALLENGE_REQUIRED : consumer has to input a special code sent by his/her bank to aknowledge the synchronization
  • SCRAPPING: Consumer bank account is being synchronized.
  • SUCCESS: Consumer bank account synchronization was a success.
  • SCA_REQUIRED: A complete SCA process must be done by updating the connection.
  • SCA_REQUIRED_AND_OTP: A complete SCA process must be done by updating the connection.
  • WEBAUTH_REQUIRED: A complete authentication process is required by updating the connection via redirect.
  • WRONG_PASS: Consumer has to input their credentials because they are invalid or obsolete.
  • ACTION_NEEDED : Consumer has to perform a special action in his bank website, more details are available in error_message.
Available options:
UNKNOWN,
DISABLED,
ERROR,
CHALLENGE_REQUIRED,
SCRAPPING,
SUCCESS,
SCA_REQUIRED,
WEBAUTH_REQUIRED,
WRONG_PASS,
ACTION_NEEDED,
WAITING_FOR_VALIDATION
Maximum string length: 22
Example:

"SUCCESS"

updated_at
string<date-time> | null
read-only

Date of the last update

Example:

"2020-01-23T12:00:00+00:00"